local insert = table.insert
local Mus = false
local Vic = false
local Def = false
local Con = false

function DBMVAnimeEventsPack()
	if Vic then 
		return
	end
	insert(DBM.Victory, {
		text	= "Anime: Conan El Destructor",
		value	= "Interface\\AddOns\\DBM-Anime\\Victory\\ConanTheDestroyer.ogg"
	})
	insert(DBM.Victory, {
		text	= "Anime: Dragon Ball Z",
		value	= "Interface\\AddOns\\DBM-Anime\\Victory\\dragon-ball-z.ogg"
	})
	insert(DBM.Victory, {
		text	= "Anime: Good Job",
		value	= "Interface\\AddOns\\DBM-Anime\\Victory\\goofjub.ogg"
	})
	insert(DBM.Victory, {
		text	= "Anime: One Piece",
		value	= "Interface\\AddOns\\DBM-Anime\\Victory\\one-piece.ogg"
	})
	Vic = true
end

function DBMDAnimeEventsPack()
	if Def then 
		return
	end
	insert(DBM.Defeat, {
		text	= "Anime: Game Over",
		value	= "Interface\\AddOns\\DBM-Anime\\Defeat\\GameOver.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Anime: Sad",
		value	= "Interface\\AddOns\\DBM-Anime\\Defeat\\Sad.ogg"
	})
	insert(DBM.Defeat, {
		text	= "Anime: Thing",
		value	= "Interface\\AddOns\\DBM-Anime\\Defeat\\thing.ogg"
	})	
	Def = true
end

-- -------------------------------------------------------------------------------------------------------------------------

function DBMCAnimeEventsPack()
	if Con then 
		return 
	end
	insert(DBM.Counts, {	
			text	= "Anime: Marine Houshou",						
			value 	= "WAIFU",				
			path = "Interface\\AddOns\\DBM-Anime\\count\\",max = 10
	})
	Con = true
end

-- -------------------------------------------------------------------------------------------------------------------------

function DBMMAnimeEventsPack()
	if Mus then 
		return 
	end
	insert(DBM.Music, {
		text = "Anime: Spice and Wolf", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\Andante.mp3"
	})
	insert(DBM.Music, {
		text = "Anime: Lycoris Recoil", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\Hana no Tou.mp3"
	})
	insert(DBM.Music, {
		text = "Anime: Kengan Ashura", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\MY FIRST STORY.mp3"
	})
	insert(DBM.Music, {
		text = "Anime: Fate Zero", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\To the Beginning.mp3"
	})
	insert(DBM.Music, {
		text = "Anime: Tokidoki Bosotto Russia-go de Dereru Tonari no Alya-san", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\Ichiban Kagayaku Hoshi.mp3"
	})
	insert(DBM.Music, {
		text = "Anime: Kimetsu no Yaiba", 
		value = "Interface\\AddOns\\DBM-Anime\\Music\\Kizuna no Kiseki.mp3"
	})
	if DBM.DungeonMusic then
		insert(DBM.DungeonMusic, {
			text = "Anime: Spice and Wolf", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Andante.mp3"
		})
		insert(DBM.DungeonMusic, {
			text = "Anime: Lycoris Recoil", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Hana no Tou.mp3"
		})
		insert(DBM.DungeonMusic, {
			text = "Anime: Kengan Ashura", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\MY FIRST STORY.mp3"
		})
		insert(DBM.DungeonMusic, {
			text = "Anime: Fate Zero", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\To the Beginning.mp3"
		})
		insert(DBM.DungeonMusic, {
			text = "Anime: Tokidoki Bosotto Russia-go de Dereru Tonari no Alya-san", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Ichiban Kagayaku Hoshi.mp3"
		})
		insert(DBM.DungeonMusic, {
			text = "Anime: Kimetsu no Yaiba", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Kizuna no Kiseki.mp3"
		})
	end
	if DBM.BattleMusic then
		insert(DBM.BattleMusic, {
			text = "Anime: Spice and Wolf", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Andante.mp3"
		})
		insert(DBM.BattleMusic, {
			text = "Anime: Lycoris Recoil", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Hana no Tou.mp3"
		})
		insert(DBM.BattleMusic, {
			text = "Anime: Kengan Ashura", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\MY FIRST STORY.mp3"
		})
		insert(DBM.BattleMusic, {
			text = "Anime: Fate Zero", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\To the Beginning.mp3"
		})
		insert(DBM.BattleMusic, {
			text = "Anime: Tokidoki Bosotto Russia-go de Dereru Tonari no Alya-san", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Ichiban Kagayaku Hoshi.mp3"
		})
		insert(DBM.BattleMusic, {
			text = "Anime: Kimetsu no Yaiba", 
			value = "Interface\\AddOns\\DBM-Anime\\Music\\Kizuna no Kiseki.mp3"
		})
	end
	Mus = true
end

-- -------------------------------------------------------------------------------------------------------------------------

local LibSharedMedia = LibStub and LibStub("LibSharedMedia-3.0", false)

if LibSharedMedia then
	LibSharedMedia:Register("sound", "Anime: Marine 1", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_1.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 2", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_2.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 3", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_3.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 4", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_4.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 5", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_5.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 6", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_6.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 7", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_7.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 8", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_8.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 9", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_9.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine 10", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_10.ogg")
	LibSharedMedia:Register("sound", "Anime: Marine ZERO", "Interface\\AddOns\\DBM-Anime\\Sounds\\Marine_ZERO.ogg")
	LibSharedMedia:Register("sound", "Anime: Bonk", "Interface\\AddOns\\DBM-Anime\\Sounds\\bonk.ogg")
	LibSharedMedia:Register("sound", "Anime: enterprise 1", "Interface\\AddOns\\DBM-Anime\\Sounds\\enterprise-1.ogg")
	LibSharedMedia:Register("sound", "Anime: enterprise 2", "Interface\\AddOns\\DBM-Anime\\Sounds\\enterprise-2.ogg")
	LibSharedMedia:Register("sound", "Anime: enterprise 3", "Interface\\AddOns\\DBM-Anime\\Sounds\\enterprise-3.ogg")
	LibSharedMedia:Register("sound", "Anime: enterprise 4", "Interface\\AddOns\\DBM-Anime\\Sounds\\enterprise-4.ogg")
	LibSharedMedia:Register("sound", "Anime: Gohanisuru", "Interface\\AddOns\\DBM-Anime\\Sounds\\gohanisuru.ogg")
	LibSharedMedia:Register("sound", "Anime: Gyuuuu", "Interface\\AddOns\\DBM-Anime\\Sounds\\gyuuuu.ogg")
	LibSharedMedia:Register("sound", "Anime: hey hey", "Interface\\AddOns\\DBM-Anime\\Sounds\\hey-hey.ogg")
	LibSharedMedia:Register("sound", "Anime: Hindeiru", "Interface\\AddOns\\DBM-Anime\\Sounds\\hindeiru.ogg")
	LibSharedMedia:Register("sound", "Anime: Kitan", "Interface\\AddOns\\DBM-Anime\\Sounds\\kitan.ogg")
	LibSharedMedia:Register("sound", "Anime: Meow", "Interface\\AddOns\\DBM-Anime\\Sounds\\meow.ogg")
	LibSharedMedia:Register("sound", "Anime: Neko Hanekawa", "Interface\\AddOns\\DBM-Anime\\Sounds\\Neko-Hanekawa.ogg")
	LibSharedMedia:Register("sound", "Anime: Nokotan", "Interface\\AddOns\\DBM-Anime\\Sounds\\Nokotan.ogg")
	LibSharedMedia:Register("sound", "Anime: Nyaa", "Interface\\AddOns\\DBM-Anime\\Sounds\\nyaa.ogg")
	LibSharedMedia:Register("sound", "Anime: Nyaa Beech", "Interface\\AddOns\\DBM-Anime\\Sounds\\nyaa-beech.ogg")
	LibSharedMedia:Register("sound", "Anime: Oh my gah", "Interface\\AddOns\\DBM-Anime\\Sounds\\oh-my-gah.ogg")
	LibSharedMedia:Register("sound", "Anime: Oui oshi cha", "Interface\\AddOns\\DBM-Anime\\Sounds\\oui-oshi-cha.ogg")
	LibSharedMedia:Register("sound", "Anime: Panaino", "Interface\\AddOns\\DBM-Anime\\Sounds\\panaino.ogg")
	LibSharedMedia:Register("sound", "Anime: Rem", "Interface\\AddOns\\DBM-Anime\\Sounds\\rem.ogg")
	LibSharedMedia:Register("sound", "Anime: Senko scream", "Interface\\AddOns\\DBM-Anime\\Sounds\\senko-scream.ogg")
	LibSharedMedia:Register("sound", "Anime: Wa ha ha cry", "Interface\\AddOns\\DBM-Anime\\Sounds\\wa-ha-ha-cry.ogg")
	LibSharedMedia:Register("sound", "Anime: Yousoro", "Interface\\AddOns\\DBM-Anime\\Sounds\\yousoro.ogg")
	LibSharedMedia:Register("sound", "Anime: Ara", "Interface\\AddOns\\DBM-Anime\\Sounds\\ara-bare-mashta.ogg")
	LibSharedMedia:Register("sound", "Anime: Sneeze", "Interface\\AddOns\\DBM-Anime\\Sounds\\cute-sneeze.ogg")
	LibSharedMedia:Register("sound", "Anime: Ding Dong", "Interface\\AddOns\\DBM-Anime\\Sounds\\ding-dong.ogg")
	LibSharedMedia:Register("sound", "Anime: Explosion", "Interface\\AddOns\\DBM-Anime\\Sounds\\explosion.ogg")
	LibSharedMedia:Register("sound", "Anime: Fumizaki", "Interface\\AddOns\\DBM-Anime\\Sounds\\fumizaki.ogg")
	LibSharedMedia:Register("sound", "Anime: Ice Cream", "Interface\\AddOns\\DBM-Anime\\Sounds\\ice-cream.ogg")
	LibSharedMedia:Register("sound", "Anime: Maid Dragon", "Interface\\AddOns\\DBM-Anime\\Sounds\\maid_dragon_transition.ogg")
	LibSharedMedia:Register("sound", "Anime: Muzukashii No Ne", "Interface\\AddOns\\DBM-Anime\\Sounds\\muzukashii-no-ne.ogg")
	LibSharedMedia:Register("sound", "Anime: Nico Nico Nii", "Interface\\AddOns\\DBM-Anime\\Sounds\\nico_nico_nii.ogg")
	LibSharedMedia:Register("sound", "Anime: Onichan", "Interface\\AddOns\\DBM-Anime\\Sounds\\onniichan.ogg")
	LibSharedMedia:Register("sound", "Anime: Pop", "Interface\\AddOns\\DBM-Anime\\Sounds\\pop.ogg")
	LibSharedMedia:Register("sound", "Anime: Tsuzumi", "Interface\\AddOns\\DBM-Anime\\Sounds\\tsuzumi-sound.ogg")
	LibSharedMedia:Register("sound", "Anime: Tuturu", "Interface\\AddOns\\DBM-Anime\\Sounds\\tuturu.ogg")
	LibSharedMedia:Register("sound", "Anime: Waku Waku", "Interface\\AddOns\\DBM-Anime\\Sounds\\waku-waku.ogg")
	LibSharedMedia:Register("sound", "Anime: Yatta", "Interface\\AddOns\\DBM-Anime\\Sounds\\Yatta.ogg")
end


